Loading...
Searching...
No Matches
Functions for manipulating the environment
Apache Portability Runtime library
Collaboration diagram for Functions for manipulating the environment:

## Functions

apr_status_t | apr_env_get (char **value, const char *envvar, apr_pool_t *pool)
apr_status_t | apr_env_set (const char *envvar, const char *value, apr_pool_t *pool)
apr_status_t | apr_env_delete (const char *envvar, apr_pool_t *pool)

## Detailed Description

## Function Documentation

## apr_env_delete()

apr_status_t apr_env_delete | ( | const char * | envvar,
|  | apr_pool_t * | pool
| ) |  |

Delete a variable from the environment

Parameters

  envvar | the name of the environment variable
  pool | where to allocate temporary storage from

## apr_env_get()

apr_status_t apr_env_get | ( | char ** | value,
|  | const char * | envvar,
|  | apr_pool_t * | pool
| ) |  |

Get the value of an environment variable

Parameters

  value | the returned value, allocated from pool
  envvar | the name of the environment variable
  pool | where to allocate value and any temporary storage from

## apr_env_set()

apr_status_t apr_env_set | ( | const char * | envvar,
|  | const char * | value,
|  | apr_pool_t * | pool
| ) |  |

Set the value of an environment variable

Parameters

  envvar | the name of the environment variable
  value | the value to set
  pool | where to allocate temporary storage from